using DeleteMe.ViewModels.Base;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace DeleteMe.ViewModels
{
    public class TwoViewModel : ViewModelBase
    {
        public ICommand ButtonCommand => new Command(async () => await DoButtonAsync());

        public async Task DoButtonAsync()
        {
            string message = "Message passed as parameter.";
            await NavigationService.NavigateToAsync<ParameterizedViewModel>(message);
        }
    }
}
